const
    Maxn = 100000;

var
    a : array [0..MaxN] of integer;
    N, i : integer;
begin
    read (n);
    for i := 1 to N do read (a[i]);
    for i := 1 to (N div 2+ord(N mod 2<>0)) do begin
        write (a[i], ' ');
        if N mod 2=0 then write (a[N-i+1], ' ')
         else if i<>N div 2+1 then write (a[N-i+1], ' ');
    end;
end.
